<?php

namespace App\Classes\Modules\Companies\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Companies\DataTransferObjects\CompanyObject;

class CompanyModuleValidation extends AbstractValidation
{
    /**
     * @param CompanyObject $object
     * @return array
     */
    protected function data($object): array
    {
        return [
            'unity_hash_id' => $object->getUnityHashId(),
            'unity_signature' => $object->getUnitySignature(),
        ];
    }

    /**
     * @param string $type
     * @return array
     */
    protected function rules(): array
    {
        return [
            'unity_hash_id' => 'required',
            'unity_signature' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array
    {
        return [];
    }
}
